Subject: bug#30350: Build breakage of master on MacOS 10.13

From: "John Wiegley" <[email-masked]>
Date: Tue, 06 Feb 2018 09:40:30 -0800

>>>>> "MG" == Mikhail Gusarov <[email-masked]> writes:

MG>         org/org-timer.el:39:1:Error: Searching for program: Is a
MG> directory, /bin/zsh

MG>         The file in question is not a directory:

MG> Yes, it is. I can't find the relevant sources right away, but opening a
MG> file inside a file is a syntax for opening resource forks under OS X, so
MG> `/foo/bar/baz/.` is a "directory" of resource forks there. This syntax is
MG> not likely to go away anytime soon.

Mikhail, are you saying that "/bin/zsh", where /bin/zsh is a file, should
report as a directory on OS X? I think I've misunderstood your comment.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2